pullRequestScanRun
Returns a single pull request scan run by its durable id
pullRequestScanRun(
id: ID!
): PullRequestScanRun!
Arguments
pullRequestScanRun.id ● ID! non-null scalar
The durable ScanRun id
Type
PullRequestScanRun object
A durable pull request scan attempt and its Security Gate verdict
Example request
This generated query uses placeholders for required values. Replace them with values available to your API key before running it.
- cURL
- JavaScript
- Python
curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"query GetPullRequestScanRun($id: ID!) {\n pullRequestScanRun(id: $id) { id asset { id name activeDevelopers { __typename } } branch { id name default } }\n}","variables":{"id":"example-id"}}'
const response = await fetch('https://api.convisoappsec.com/graphql', {
method: 'POST',
headers: {
'content-type': 'application/json',
'x-api-key': process.env.CONVISO_API_KEY,
},
body: JSON.stringify({
query: "query GetPullRequestScanRun($id: ID!) {\n pullRequestScanRun(id: $id) { id asset { id name activeDevelopers { __typename } } branch { id name default } }\n}",
variables: {
"id": "example-id"
},
}),
});
const { data, errors } = await response.json();
if (errors) throw new Error(errors.map(({ message }) => message).join(', '));
console.log(data);
import json
import os
import requests
response = requests.post(
'https://api.convisoappsec.com/graphql',
headers={
'content-type': 'application/json',
'x-api-key': os.environ['CONVISO_API_KEY'],
},
json={
'query': "query GetPullRequestScanRun($id: ID!) {\n pullRequestScanRun(id: $id) { id asset { id name activeDevelopers { __typename } } branch { id name default } }\n}",
'variables': json.loads("{\"id\":\"example-id\"}"),
},
timeout=30,
)
response.raise_for_status()
payload = response.json()
if payload.get('errors'):
raise RuntimeError(payload['errors'])
print(payload['data'])
Contribute to the Docs
Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.
How to contribute